Inbox and fans
Unsend fan message
Remove a previously sent message from a creator-fan conversation when the platform permits it. Platform timing and message-state restrictions still apply.
DELETE
/v1/agencies/{agencyId}/creators/{creatorId}/fans/{fanId}/messages/{messageId}Remove a previously sent message from a creator-fan conversation when the platform permits it. Platform timing and message-state restrictions still apply.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthcreatorId*string
fanId*string
messageId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/agencies/string/creators/string/fans/string/messages/string" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "success": true, "error": null, "revertedBy": { "id": "string", "username": "string", "avatar": "string" } }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}